<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:17 PST 2021 -->
<title>CrawlDatum (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CrawlDatum (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9,"i13":9,"i14":9,"i15":9,"i16":10,"i17":10,"i18":9,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CrawlDatum.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/crawl/AdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/crawl/CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/CrawlDatum.html" target="_top">Frames</a></li>
<li><a href="CrawlDatum.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.crawl</div>
<h2 title="Class CrawlDatum" class="title">Class CrawlDatum</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.crawl.CrawlDatum</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&lt;<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CrawlDatum</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&lt;<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl">CrawlDatum.Comparator</a></span></code>
<div class="block">A Comparator optimized for CrawlDatum.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#FETCH_DIR_NAME">FETCH_DIR_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#GENERATE_DIR_NAME">GENERATE_DIR_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#PARSE_DIR_NAME">PARSE_DIR_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util">HashMap</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#statNames">statNames</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_DUPLICATE">STATUS_DB_DUPLICATE</a></span></code>
<div class="block">Page was marked as being a duplicate of another page</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_FETCHED">STATUS_DB_FETCHED</a></span></code>
<div class="block">Page was successfully fetched.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_GONE">STATUS_DB_GONE</a></span></code>
<div class="block">Page no longer exists.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_MAX">STATUS_DB_MAX</a></span></code>
<div class="block">Maximum value of DB-related status.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_NOTMODIFIED">STATUS_DB_NOTMODIFIED</a></span></code>
<div class="block">Page was successfully fetched and found not modified.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_ORPHAN">STATUS_DB_ORPHAN</a></span></code>
<div class="block">Page was marked as orphan, e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_REDIR_PERM">STATUS_DB_REDIR_PERM</a></span></code>
<div class="block">Page permanently redirects to other page.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_REDIR_TEMP">STATUS_DB_REDIR_TEMP</a></span></code>
<div class="block">Page temporarily redirects to other page.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_DB_UNFETCHED">STATUS_DB_UNFETCHED</a></span></code>
<div class="block">Page was not fetched yet.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_GONE">STATUS_FETCH_GONE</a></span></code>
<div class="block">Fetching unsuccessful - page is gone.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_MAX">STATUS_FETCH_MAX</a></span></code>
<div class="block">Maximum value of fetch-related status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_NOTMODIFIED">STATUS_FETCH_NOTMODIFIED</a></span></code>
<div class="block">Fetching successful - page is not modified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_REDIR_PERM">STATUS_FETCH_REDIR_PERM</a></span></code>
<div class="block">Fetching permanently redirected to other page.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_REDIR_TEMP">STATUS_FETCH_REDIR_TEMP</a></span></code>
<div class="block">Fetching temporarily redirected to other page.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_RETRY">STATUS_FETCH_RETRY</a></span></code>
<div class="block">Fetching unsuccessful, needs to be retried (transient errors).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_FETCH_SUCCESS">STATUS_FETCH_SUCCESS</a></span></code>
<div class="block">Fetching was successful.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_INJECTED">STATUS_INJECTED</a></span></code>
<div class="block">Page was newly injected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_LINKED">STATUS_LINKED</a></span></code>
<div class="block">Page discovered through a link.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_PARSE_META">STATUS_PARSE_META</a></span></code>
<div class="block">Page got metadata from a parser</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_SIGNATURE">STATUS_SIGNATURE</a></span></code>
<div class="block">Page signature.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#CrawlDatum--">CrawlDatum</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#CrawlDatum-int-int-">CrawlDatum</a></span>(int&nbsp;status,
          int&nbsp;fetchInterval)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#CrawlDatum-int-int-float-">CrawlDatum</a></span>(int&nbsp;status,
          int&nbsp;fetchInterval,
          float&nbsp;score)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#clone--">clone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#compareTo-org.apache.nutch.crawl.CrawlDatum-">compareTo</a></span>(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;that)</code>
<div class="block">Sort by decreasing score.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#evaluate-org.apache.commons.jexl3.JexlExpression-java.lang.String-">evaluate</a></span>(org.apache.commons.jexl3.JexlExpression&nbsp;expr,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getFetchInterval--">getFetchInterval</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getFetchTime--">getFetchTime</a></span>()</code>
<div class="block">Returns either the time of the last fetch, or the next fetch time,
 depending on whether Fetcher or CrawlDbReducer set the time.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/MapWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">MapWritable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getMetaData--">getMetaData</a></span>()</code>
<div class="block">returns a MapWritable if it was set or read in @see readFields(DataInput),
 returns empty map in case CrawlDatum was freshly created (lazily
 instantiated).</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getModifiedTime--">getModifiedTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getRetriesSinceFetch--">getRetriesSinceFetch</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getScore--">getScore</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getSignature--">getSignature</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getStatus--">getStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getStatusByName-java.lang.String-">getStatusByName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#getStatusName-byte-">getStatusName</a></span>(byte&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#hasDbStatus-org.apache.nutch.crawl.CrawlDatum-">hasDbStatus</a></span>(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#hasFetchStatus-org.apache.nutch.crawl.CrawlDatum-">hasFetchStatus</a></span>(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#putAllMetaData-org.apache.nutch.crawl.CrawlDatum-">putAllMetaData</a></span>(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;other)</code>
<div class="block">Add all metadata from other CrawlDatum to this CrawlDatum.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#read-java.io.DataInput-">read</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#readFields-java.io.DataInput-">readFields</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#set-org.apache.nutch.crawl.CrawlDatum-">set</a></span>(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;that)</code>
<div class="block">Copy the contents of another instance into this instance.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setFetchInterval-float-">setFetchInterval</a></span>(float&nbsp;fetchInterval)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setFetchInterval-int-">setFetchInterval</a></span>(int&nbsp;fetchInterval)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setFetchTime-long-">setFetchTime</a></span>(long&nbsp;fetchTime)</code>
<div class="block">Sets either the time of the last fetch or the next fetch time, depending on
 whether Fetcher or CrawlDbReducer set the time.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setMetaData-org.apache.hadoop.io.MapWritable-">setMetaData</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/MapWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">MapWritable</a>&nbsp;mapWritable)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setModifiedTime-long-">setModifiedTime</a></span>(long&nbsp;modifiedTime)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setRetriesSinceFetch-int-">setRetriesSinceFetch</a></span>(int&nbsp;retries)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setScore-float-">setScore</a></span>(float&nbsp;score)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setSignature-byte:A-">setSignature</a></span>(byte[]&nbsp;signature)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#setStatus-int-">setStatus</a></span>(int&nbsp;status)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html#write-java.io.DataOutput-">write</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="GENERATE_DIR_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATE_DIR_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GENERATE_DIR_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.GENERATE_DIR_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_DIR_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_DIR_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_DIR_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.FETCH_DIR_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PARSE_DIR_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARSE_DIR_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PARSE_DIR_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.PARSE_DIR_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_UNFETCHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_UNFETCHED</h4>
<pre>public static final&nbsp;byte STATUS_DB_UNFETCHED</pre>
<div class="block">Page was not fetched yet.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_UNFETCHED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_FETCHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_FETCHED</h4>
<pre>public static final&nbsp;byte STATUS_DB_FETCHED</pre>
<div class="block">Page was successfully fetched.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_FETCHED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_GONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_GONE</h4>
<pre>public static final&nbsp;byte STATUS_DB_GONE</pre>
<div class="block">Page no longer exists.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_GONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_REDIR_TEMP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_REDIR_TEMP</h4>
<pre>public static final&nbsp;byte STATUS_DB_REDIR_TEMP</pre>
<div class="block">Page temporarily redirects to other page.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_REDIR_TEMP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_REDIR_PERM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_REDIR_PERM</h4>
<pre>public static final&nbsp;byte STATUS_DB_REDIR_PERM</pre>
<div class="block">Page permanently redirects to other page.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_REDIR_PERM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_NOTMODIFIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_NOTMODIFIED</h4>
<pre>public static final&nbsp;byte STATUS_DB_NOTMODIFIED</pre>
<div class="block">Page was successfully fetched and found not modified.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_NOTMODIFIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_DUPLICATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_DUPLICATE</h4>
<pre>public static final&nbsp;byte STATUS_DB_DUPLICATE</pre>
<div class="block">Page was marked as being a duplicate of another page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_DUPLICATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_ORPHAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_ORPHAN</h4>
<pre>public static final&nbsp;byte STATUS_DB_ORPHAN</pre>
<div class="block">Page was marked as orphan, e.g. has no inlinks anymore</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_ORPHAN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_DB_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_DB_MAX</h4>
<pre>public static final&nbsp;byte STATUS_DB_MAX</pre>
<div class="block">Maximum value of DB-related status.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_DB_MAX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_SUCCESS</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_SUCCESS</pre>
<div class="block">Fetching was successful.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_SUCCESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_RETRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_RETRY</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_RETRY</pre>
<div class="block">Fetching unsuccessful, needs to be retried (transient errors).</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_RETRY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_REDIR_TEMP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_REDIR_TEMP</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_REDIR_TEMP</pre>
<div class="block">Fetching temporarily redirected to other page.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_REDIR_TEMP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_REDIR_PERM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_REDIR_PERM</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_REDIR_PERM</pre>
<div class="block">Fetching permanently redirected to other page.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_REDIR_PERM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_GONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_GONE</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_GONE</pre>
<div class="block">Fetching unsuccessful - page is gone.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_GONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_NOTMODIFIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_NOTMODIFIED</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_NOTMODIFIED</pre>
<div class="block">Fetching successful - page is not modified.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_NOTMODIFIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_FETCH_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FETCH_MAX</h4>
<pre>public static final&nbsp;byte STATUS_FETCH_MAX</pre>
<div class="block">Maximum value of fetch-related status.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_FETCH_MAX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_SIGNATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_SIGNATURE</h4>
<pre>public static final&nbsp;byte STATUS_SIGNATURE</pre>
<div class="block">Page signature.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_SIGNATURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_INJECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_INJECTED</h4>
<pre>public static final&nbsp;byte STATUS_INJECTED</pre>
<div class="block">Page was newly injected.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_INJECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_LINKED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_LINKED</h4>
<pre>public static final&nbsp;byte STATUS_LINKED</pre>
<div class="block">Page discovered through a link.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_LINKED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_PARSE_META">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_PARSE_META</h4>
<pre>public static final&nbsp;byte STATUS_PARSE_META</pre>
<div class="block">Page got metadata from a parser</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.crawl.CrawlDatum.STATUS_PARSE_META">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="statNames">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>statNames</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util">HashMap</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; statNames</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CrawlDatum--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CrawlDatum</h4>
<pre>public&nbsp;CrawlDatum()</pre>
</li>
</ul>
<a name="CrawlDatum-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CrawlDatum</h4>
<pre>public&nbsp;CrawlDatum(int&nbsp;status,
                  int&nbsp;fetchInterval)</pre>
</li>
</ul>
<a name="CrawlDatum-int-int-float-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CrawlDatum</h4>
<pre>public&nbsp;CrawlDatum(int&nbsp;status,
                  int&nbsp;fetchInterval,
                  float&nbsp;score)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasDbStatus-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasDbStatus</h4>
<pre>public static&nbsp;boolean&nbsp;hasDbStatus(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</pre>
</li>
</ul>
<a name="hasFetchStatus-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasFetchStatus</h4>
<pre>public static&nbsp;boolean&nbsp;hasFetchStatus(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</pre>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;byte&nbsp;getStatus()</pre>
</li>
</ul>
<a name="getStatusName-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatusName</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStatusName(byte&nbsp;value)</pre>
</li>
</ul>
<a name="getStatusByName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatusByName</h4>
<pre>public static&nbsp;byte&nbsp;getStatusByName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="setStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatus</h4>
<pre>public&nbsp;void&nbsp;setStatus(int&nbsp;status)</pre>
</li>
</ul>
<a name="getFetchTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFetchTime</h4>
<pre>public&nbsp;long&nbsp;getFetchTime()</pre>
<div class="block">Returns either the time of the last fetch, or the next fetch time,
 depending on whether Fetcher or CrawlDbReducer set the time.</div>
</li>
</ul>
<a name="setFetchTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFetchTime</h4>
<pre>public&nbsp;void&nbsp;setFetchTime(long&nbsp;fetchTime)</pre>
<div class="block">Sets either the time of the last fetch or the next fetch time, depending on
 whether Fetcher or CrawlDbReducer set the time.</div>
</li>
</ul>
<a name="getModifiedTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModifiedTime</h4>
<pre>public&nbsp;long&nbsp;getModifiedTime()</pre>
</li>
</ul>
<a name="setModifiedTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModifiedTime</h4>
<pre>public&nbsp;void&nbsp;setModifiedTime(long&nbsp;modifiedTime)</pre>
</li>
</ul>
<a name="getRetriesSinceFetch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRetriesSinceFetch</h4>
<pre>public&nbsp;byte&nbsp;getRetriesSinceFetch()</pre>
</li>
</ul>
<a name="setRetriesSinceFetch-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRetriesSinceFetch</h4>
<pre>public&nbsp;void&nbsp;setRetriesSinceFetch(int&nbsp;retries)</pre>
</li>
</ul>
<a name="getFetchInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFetchInterval</h4>
<pre>public&nbsp;int&nbsp;getFetchInterval()</pre>
</li>
</ul>
<a name="setFetchInterval-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFetchInterval</h4>
<pre>public&nbsp;void&nbsp;setFetchInterval(int&nbsp;fetchInterval)</pre>
</li>
</ul>
<a name="setFetchInterval-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFetchInterval</h4>
<pre>public&nbsp;void&nbsp;setFetchInterval(float&nbsp;fetchInterval)</pre>
</li>
</ul>
<a name="getScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;float&nbsp;getScore()</pre>
</li>
</ul>
<a name="setScore-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScore</h4>
<pre>public&nbsp;void&nbsp;setScore(float&nbsp;score)</pre>
</li>
</ul>
<a name="getSignature--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignature</h4>
<pre>public&nbsp;byte[]&nbsp;getSignature()</pre>
</li>
</ul>
<a name="setSignature-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignature</h4>
<pre>public&nbsp;void&nbsp;setSignature(byte[]&nbsp;signature)</pre>
</li>
</ul>
<a name="setMetaData-org.apache.hadoop.io.MapWritable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMetaData</h4>
<pre>public&nbsp;void&nbsp;setMetaData(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/MapWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">MapWritable</a>&nbsp;mapWritable)</pre>
</li>
</ul>
<a name="putAllMetaData-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putAllMetaData</h4>
<pre>public&nbsp;void&nbsp;putAllMetaData(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;other)</pre>
<div class="block">Add all metadata from other CrawlDatum to this CrawlDatum.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - CrawlDatum</dd>
</dl>
</li>
</ul>
<a name="getMetaData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMetaData</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/MapWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">MapWritable</a>&nbsp;getMetaData()</pre>
<div class="block">returns a MapWritable if it was set or read in @see readFields(DataInput),
 returns empty map in case CrawlDatum was freshly created (lazily
 instantiated).</div>
</li>
</ul>
<a name="read-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public static&nbsp;<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;read(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="readFields-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFields</h4>
<pre>public&nbsp;void&nbsp;readFields(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#readFields-java.io.DataInput-" title="class or interface in org.apache.hadoop.io">readFields</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="write-java.io.DataOutput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#write-java.io.DataOutput-" title="class or interface in org.apache.hadoop.io">write</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="set-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>set</h4>
<pre>public&nbsp;void&nbsp;set(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;that)</pre>
<div class="block">Copy the contents of another instance into this instance.</div>
</li>
</ul>
<a name="compareTo-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTo</h4>
<pre>public&nbsp;int&nbsp;compareTo(<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;that)</pre>
<div class="block">Sort by decreasing score.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true#compareTo-T-" title="class or interface in java.lang">compareTo</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;clone()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="evaluate-org.apache.commons.jexl3.JexlExpression-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>evaluate</h4>
<pre>public&nbsp;boolean&nbsp;evaluate(org.apache.commons.jexl3.JexlExpression&nbsp;expr,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CrawlDatum.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/crawl/AdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/crawl/CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/CrawlDatum.html" target="_top">Frames</a></li>
<li><a href="CrawlDatum.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
